## EntangleImageStatusbar EntangleImageStatusbar |

## Functions

EntangleImageStatusbar * | entangle_image_statusbar_new ()
void | entangle_image_statusbar_set_image ()
EntangleImage * | entangle_image_statusbar_get_image ()

## Properties

EntangleImage * | image | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── EntangleImageStatusbar

## Description

## Functions

### entangle_image_statusbar_new ()

    EntangleImageStatusbar *
    entangle_image_statusbar_new (void);

### entangle_image_statusbar_set_image ()

    void
    entangle_image_statusbar_set_image (EntangleImageStatusbar *statusbar,
                                        EntangleImage *image);

Set the image to display status information for

#### Parameters

statusbar | the status bar widget. | [transfer none]
image | the image to display status for, or NULL. | [transfer none][allow-none]

### entangle_image_statusbar_get_image ()

    EntangleImage *
    entangle_image_statusbar_get_image (EntangleImageStatusbar *statusbar);

Retrieve the image that status is currently displayed for

#### Parameters

statusbar | the status bar widget. | [transfer none]

#### Returns

the image displayed.

[transfer none]

## Types and Values

## Property Details

### The `“image”` property

      “image”                    EntangleImage *

Image.

Flags: Read / Write